ServerEvents.tags('block', event => {
 
  // GENERAL TAGS
  // Make sure to report as issues and check mod changelogs to see if they have been implemented

  const dyeColors = [
    'white', 'orange', 'magenta', 'light_blue', 'yellow', 'lime', 'pink',
    'gray', 'light_gray', 'cyan', 'purple', 'blue', 'brown', 'green', 'red', 'black'
  ]

  /*for (const color of dyeColors) {
    event.add('supplementaries:brick_breakable_recursive', `clayworks:${color}_stained_glass_door`)
    event.add('supplementaries:brick_breakable_recursive', `clayworks:${color}_stained_glass_trapdoor`)
  }*/

  event.add('c:storage_blocks/nebulite', 'enderscape:nebulite_block')

  event.add('c:storage_blocks/shadoline', 'enderscape:shadoline_block')
  event.add('c:storage_blocks/raw_shadoline', 'enderscape:raw_shadoline_block')
  event.add('c:storage_blocks', '#c:storage_blocks/raw_shadoline')

  event.remove('minecraft:beacon_base_blocks', 'minecraft:copper_block')
  event.remove('minecraft:beacon_base_blocks', 'minecraft:cut_copper')
  event.remove('minecraft:beacon_base_blocks', 'minecraft:exposed_copper')
  event.remove('minecraft:beacon_base_blocks', 'minecraft:exposed_cut_copper')
  event.remove('minecraft:beacon_base_blocks', 'minecraft:weathered_copper')
  event.remove('minecraft:beacon_base_blocks', 'minecraft:weathered_cut_copper')
  event.remove('minecraft:beacon_base_blocks', 'minecraft:oxidized_copper')
  event.remove('minecraft:beacon_base_blocks', 'minecraft:oxidized_cut_copper')

  event.remove('minecraft:beacon_base_blocks', 'minecraft:waxed_copper_block')
  event.remove('minecraft:beacon_base_blocks', 'minecraft:waxed_cut_copper')
  event.remove('minecraft:beacon_base_blocks', 'minecraft:waxed_exposed_copper')
  event.remove('minecraft:beacon_base_blocks', 'minecraft:waxed_exposed_cut_copper')
  event.remove('minecraft:beacon_base_blocks', 'minecraft:waxed_weathered_copper')
  event.remove('minecraft:beacon_base_blocks', 'minecraft:waxed_weathered_cut_copper')
  event.remove('minecraft:beacon_base_blocks', 'minecraft:waxed_oxidized_copper')
  event.remove('minecraft:beacon_base_blocks', 'minecraft:waxed_oxidized_cut_copper')

  // MODPACK-SPECIFIC TAGS

  event.add('c:bronze_blocks', 'oreganized:electrum_block') // For purposes of building Automatons
  event.add('minecraft:beacon_base_blocks', 'enderscape:shadoline_block')

})
